import request from '@/utils/request'

// 查询摄像头通道列表
export function listCamerachannel(query) {
  return request({
    url: '/center-monitor/camerachannel/list',
    method: 'get',
    params: query
  })
}

// 查询摄像头通道详细
export function getCamerachannel(id) {
  return request({
    url: '/center-monitor/camerachannel/' + id,
    method: 'get'
  })
}

// 新增摄像头通道
export function addCamerachannel(data) {
  return request({
    url: '/center-monitor/camerachannel',
    method: 'post',
    data: data
  })
}

// 修改摄像头通道
export function updateCamerachannel(data) {
  return request({
    url: '/center-monitor/camerachannel',
    method: 'put',
    data: data
  })
}

// 删除摄像头通道
export function delCamerachannel(id) {
  return request({
    url: '/center-monitor/camerachannel/' + id,
    method: 'delete'
  })
}
